Bug 964147 - IOException: Partition(s) 2 on /dev/vda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use. As a result, the old partition(s) will remain in use. You should reboot now before making ...
Summary: IOException: Partition(s) 2 on /dev/vda have been written, but we have been u...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f08859455e17b95e2b20f860eb1...
: 895659 973747 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-17 11:25 UTC by Lukas Brabec
Modified: 2015-09-14 11:24 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-19 20:37:08 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (301.86 KB, text/plain)
2013-05-17 11:26 UTC, Lukas Brabec
no flags Details
File: anaconda.log (12.96 KB, text/plain)
2013-05-17 11:26 UTC, Lukas Brabec
no flags Details
File: backtrace (1.58 KB, text/plain)
2013-05-17 11:26 UTC, Lukas Brabec
no flags Details
File: environ (847 bytes, text/plain)
2013-05-17 11:26 UTC, Lukas Brabec
no flags Details
File: ifcfg.log (486 bytes, text/plain)
2013-05-17 11:26 UTC, Lukas Brabec
no flags Details
File: lsblk_output (2.35 KB, text/plain)
2013-05-17 11:26 UTC, Lukas Brabec
no flags Details
File: messages (132.10 KB, text/plain)
2013-05-17 11:26 UTC, Lukas Brabec
no flags Details
File: nmcli_dev_list (3.38 KB, text/plain)
2013-05-17 11:26 UTC, Lukas Brabec
no flags Details
File: program.log (22.07 KB, text/plain)
2013-05-17 11:26 UTC, Lukas Brabec
no flags Details
File: storage.log (116.70 KB, text/plain)
2013-05-17 11:26 UTC, Lukas Brabec
no flags Details

Description Lukas Brabec 2013-05-17 11:25:58 UTC
Description of problem:
Fedora 19 Beta RC2 Live
Trying to do https://fedoraproject.org/wiki/QA:Testcase_Anaconda_autopart_(encrypted)_install

Problem encountered at step 4 (after setting the passphrase for encryption and begining the installation).
The following was filed automatically by anaconda:
anaconda 19.28-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 213, in commit
    return self.__disk.commit()
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 292, in commit
    self.partedDisk.commit()
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 271, in create
    self.commit()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 471, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 306, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 165, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 138, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
IOException: Partition(s) 2 on /dev/vda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.

Version-Release number of selected component:
anaconda-19.28-1.fc19.x86_64

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-19-Be rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
core_backtrace: 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
other involved packages: python-blivet-0.14-1.fc19.noarch, python-libs-2.7.4-4.fc19.x86_64, pyparted-3.9-2.fc19.x86_64
packaging.log:  
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 138, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 165, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 306, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 471, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 271, in create
    self.commit()
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 292, in commit
    self.partedDisk.commit()
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
    ret = fn(*args, **kwds)
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 213, in commit
    return self.__disk.commit()
IOException: Partition(s) 2 on /dev/vda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.

Comment 1 Lukas Brabec 2013-05-17 11:26:02 UTC
Created attachment 749297 [details]
File: anaconda-tb

Comment 2 Lukas Brabec 2013-05-17 11:26:06 UTC
Created attachment 749298 [details]
File: anaconda.log

Comment 3 Lukas Brabec 2013-05-17 11:26:09 UTC
Created attachment 749299 [details]
File: backtrace

Comment 4 Lukas Brabec 2013-05-17 11:26:11 UTC
Created attachment 749300 [details]
File: environ

Comment 5 Lukas Brabec 2013-05-17 11:26:13 UTC
Created attachment 749301 [details]
File: ifcfg.log

Comment 6 Lukas Brabec 2013-05-17 11:26:15 UTC
Created attachment 749302 [details]
File: lsblk_output

Comment 7 Lukas Brabec 2013-05-17 11:26:17 UTC
Created attachment 749303 [details]
File: messages

Comment 8 Lukas Brabec 2013-05-17 11:26:20 UTC
Created attachment 749304 [details]
File: nmcli_dev_list

Comment 9 Lukas Brabec 2013-05-17 11:26:23 UTC
Created attachment 749305 [details]
File: program.log

Comment 10 Lukas Brabec 2013-05-17 11:26:25 UTC
Created attachment 749306 [details]
File: storage.log

Comment 11 Samantha N. Bueno 2013-05-24 16:04:33 UTC
*** Bug 895659 has been marked as a duplicate of this bug. ***

Comment 12 Brian Lane 2013-05-31 23:48:48 UTC
Does this happen every time? When it does happen can you run 'parted -s /dev/vda mklabel msdos' from the cmdline after the crash?

Comment 13 Mace Moneta 2013-06-04 15:28:46 UTC
Description of problem:
This is a reproducable problem.  Custom partitioning:

Two drives selected.

1 MB biosboot
500 MB /boot raid1 ext4
1 GB swap raid0
Remainder to / btrfs raid0

Fails during format.

Note: the first 100MB of each drive was 'dd if=/dev/zero' before starting the install.

Version-Release number of selected component:
anaconda-19.30-1.fc19.x86_64

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-KDE-x86_64-19-Beta-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
core_backtrace: 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
other involved packages: python-libs-2.7.4-4.fc19.x86_64, python-blivet-0.14-1.fc19.noarch, pyparted-3.9-2.fc19.x86_64
packaging.log:  
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 138, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 165, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 306, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 471, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 271, in create
    self.commit()
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 292, in commit
    self.partedDisk.commit()
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
    ret = fn(*args, **kwds)
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 213, in commit
    return self.__disk.commit()
IOException: Partition(s) 1 on /dev/vdb have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.

Comment 14 Daniel Rindt 2013-06-10 12:00:53 UTC
Description of problem:
i tried to install on a usb stick

Version-Release number of selected component:
anaconda-19.30-1.fc19.x86_64

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-Desktop-x86_64-19-Be ro rd.live.image quiet rhgb
core_backtrace: 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
other involved packages: python-libs-2.7.4-4.fc19.x86_64, python-blivet-0.14-1.fc19.noarch, pyparted-3.9-2.fc19.x86_64
packaging.log:  
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 138, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 165, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 306, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 471, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 271, in create
    self.commit()
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 292, in commit
    self.partedDisk.commit()
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
    ret = fn(*args, **kwds)
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 213, in commit
    return self.__disk.commit()
IOException: Partition(s) 1 on /dev/sdb have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.

Comment 15 gatlibs 2013-06-13 15:12:58 UTC
Description of problem:
I had begun the installation with anaconda. I was about to set a root password.

Version-Release number of selected component:
anaconda-19.30-1.fc19.x86_64

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-19-Be rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
core_backtrace: 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
other involved packages: python-libs-2.7.4-4.fc19.x86_64, python-blivet-0.14-1.fc19.noarch, pyparted-3.9-2.fc19.x86_64
packaging.log:  
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 138, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 165, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 306, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 471, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 271, in create
    self.commit()
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 292, in commit
    self.partedDisk.commit()
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
    ret = fn(*args, **kwds)
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 213, in commit
    return self.__disk.commit()
IOException: Partition(s) 3 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.

Comment 16 Brian Lane 2013-06-21 01:47:54 UTC
*** Bug 973747 has been marked as a duplicate of this bug. ***

Comment 17 Clyde E. Kunkel 2013-06-25 20:25:24 UTC
Installing to 3TB disk with previous F19 early beta installation.  Selected BTRFS and manual partitioning.  While in manual partitioning deleted all instances of previous installations on single selected disk except sdf1 bios partition.  Created a single btrfs / partition and did not explicitly create any other paritions such as /boot, /home, swap, etc.  This has worked nicely in the past.  Failure occured after entering root password and during Setting up the installation environment.  Attached to the system was a multifunction card reader without any cards.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:UUID=164c0cfd-6f4d-455d-a987-7736ab6ce94d selinux=0 BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
package:        anaconda-19.30.11-1
product:        Fedora
reason:         IOException: Partition(s) 2 on /dev/sdf have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Cannot get release name.
version:        19

Comment 18 Benjamin Herrenschmidt 2013-07-01 04:30:45 UTC
Try to install fc19 ppc64 RC3 on a quad G5 machine.

After working around yaboot not auto-loading (manually loading it from OFW and specifying the config file path),
the machine boots. The version of nouveau on that kernel is busted apparently so using "vnc".

I get to the anaconda vnc, setup a default partition map on sda (after reclaiming all the space),
start installing ... kab00m.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   ro  vnc
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.ppc64
package:        anaconda-19.30.13-1
product:        Fedora
reason:         IOException: Partition map has no partition map entry!
release:        Cannot get release name.
version:        19

Comment 19 Nate Clark 2013-07-26 16:05:44 UTC
Trying to install fedora 19 on a dell T3600

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora\x2019\x20x86_64 quiet
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
package:        anaconda-19.30.13-1
product:        Fedora
reason:         IOException: Partition(s) 2, 3, 4 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Cannot get release name.
version:        19

Comment 20 Andrew Niemantsverdriet 2013-08-01 15:13:57 UTC
If the disk already has partitions on it and you try to do a kickstart install this error will happen even though 'clearpart --all --initlabel' is set in the kickstart config.

To reproduce do a kickstart install on a disk with existing partition(s)

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=images/fedora19/initrd.img linux ks=http://mercury.rocky.edu/kickstart/Fedora19-x86_64-cluster.cfg BOOT_IMAGE=images/fedora19/vmlinuz 
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
package:        anaconda-19.30.13-1
product:        Fedora
reason:         IOException: Partition(s) 2 on /dev/vda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Cannot get release name.
version:        19

Comment 21 Matthew Miller 2013-09-01 14:55:03 UTC
Attempt to do a mirrored raid install. 

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:UUID=5EB5-625E rootfstype=vfat ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64, pyparted-3.9-3.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         IOException: Partition(s) 1, 2, 5 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19

Comment 22 Abdel Gadiel Martínez Lassonde 2013-09-06 15:42:16 UTC
I was trying to install Fedora 19 on White Macbook.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019\x20i386 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.i686
package:        anaconda-19.30.13-1
product:        Fedora
reason:         IOException: Input/output error during write on /dev/sda
release:        Cannot get release name.
version:        19

Comment 23 mmrakk 2013-09-13 09:16:16 UTC
After custom partitioning (80GB HDD >> 500MB /boot, 20GB /root, 4GB /swap, 50GB /home)

I opened dolphin to see the HDD content and I did not umount it.

Begin installation and BANG >>Unknow Error

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=LIVE rootfstype=ext4 ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64, pyparted-3.9-3.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         IOException: Partition(s) 1 on /dev/sda have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19

Comment 24 iamal13n 2013-10-18 17:13:48 UTC
-connect Toshiba external hard drive with two NTFS partitions
-insert Fedora LiveCD and boot it
-click install to hard drive
-select external drive for installation destination and click done
-select LVM filesystem and select encrypt drives to setup password later
-click custom partition setup
-delete first partition and leave second untouched
-select automatically partition free space
-change /home partition size and enable encryption
-change swap size and enable encryption
-change / root partition size
-click done
-back at main menu click install
-get an unknown error

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.x86_64, pyparted-3.9-3.fc19.x86_64
package:        anaconda-19.30.13-1.fc19.x86_64
packaging.log:  
product:        Fedora
reason:         IOException: Partition(s) 1 on /dev/sdb have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19

Comment 25 Eric 2013-10-27 19:15:31 UTC
IOexception:  Failed to add partition 6 (Device or resource busy)-anaconda

Received this message while trying to remove partitions in order to use the full hdd for fedora.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-i686-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.i686
other involved packages: python-blivet-0.17-1.fc19.noarch, pyparted-3.9-3.fc19.i686, python-libs-2.7.5-1.fc19.i686
package:        anaconda-19.30.13-1.fc19.i686
packaging.log:  
product:        Fedora
reason:         IOException: Failed to add partition 6 (Device or resource busy)
release:        Fedora release 19 (Schrödinger’s Cat)
version:        19

Comment 26 David Shea 2014-12-09 14:32:17 UTC
Is this reproducible with Fedora 21?


Note You need to log in before you can comment on or make changes to this bug.